type Payment = {
    'type': 'Payment',
    'id': string,
    'gateway':string,
    'is_active': true,
    'created': '2020-04-15T16:42:39.130Z',
    'modified': '2020-04-15T16:42:39.130Z',
    'charge_status': 'fully-charged',
    'total': '22.91',
    'captured_amount': string,
    'currency': 'EUR',
    'billing_email': string,
    'billing_first_name': 'Jannik',
    'billing_last_name': 'Zinkl',
    'billing_company_name': '',
    'billing_address_1': 'Humboldtstra\u00dfe 101',
    'billing_address_2': '',
    'billing_city': 'N\u00dcRNBERG',
    'billing_city_area': '',
    'billing_postal_code': '90459',
    'billing_country_code': 'DE',
    'billing_country_area': ''
};
type WebhookPayment = {
    type: 'Payment',
    id: string,
    created: '2022-11-25T17:07:40.825Z',
    modified: '2022-11-25T17:07:44.660Z',
    gateway: 'mirumee.payments.braintree',
    is_active: true,
    partial: false,
    charge_status: 'fully-charged',
    total: '95.50',
    captured_amount: '95.50',
    currency: 'EUR',
    billing_email: 'petra.maeule-hahn@web.de',
    billing_first_name: 'Petra',
    billing_last_name: 'Mäule-Hahn',
    billing_company_name: '',
    billing_address_1: 'Maulbeerweg 6',
    billing_address_2: '',
    billing_city: 'VAIHINGEN',
    billing_city_area: '',
    billing_postal_code: '71665',
    billing_country_code: 'DE',
    billing_country_area: '',
    cc_brand: '',
    payment_method_type: 'card',
    psp_reference: '',
};
type WebhookOrderLine = {

    'type': 'OrderLine',
    'id': string,
    'product_name': 'Designerdose Charlotte Dumortier',
    'variant_name': 'Gemischt',
    product_variant_id: string,
    'translated_product_name': '',
    'translated_variant_name': '',
    'product_sku': 'designerdose_charlotte_dumortier_sorte_gemischt',
    'quantity': 1,
    'currency': 'EUR',
    'unit_price_net_amount': '21.90',
    'unit_price_gross_amount': '21.90',
    'tax_rate': '0.00'

};
type SaleorAddress = {
    'type': 'Address',
    'id': string,
    'first_name': string,
    'last_name': 'Zinkl',
    'company_name': '',
    'street_address_1': string,
    'street_address_2': string,
    'city': string,
    'city_area': '',
    'postal_code': string,
    'country': 'DE',
    'country_area': '',
    'phone': ''
};
export type SaleorWebhookAddress = {
    'first_name': string,
    'last_name': string,
    'company_name': string,
    'street_address_1': string,
    'street_address_2': string,
    'city': string,
    'city_area': string,
    'postal_code': string,
    'country': string,
    'country_area': string,
    'phone': string,
};

export type SaleorWebhookOrder = {
    'id': number,
    'number': number,
    'private_metadata': {},
    'metadata': {
        [key :string]: string,
    },
    'status': 'unconfirmed',
    'language_code': 'en',
    'currency': 'USD',
    'token': 'f7080def-babf-4018-87cb-e701b6ccb93d',
    'total_net_amount': '240.82',
    'undiscounted_total_net_amount': '240.82',
    'total_gross_amount': '240.82',
    'undiscounted_total_gross_amount': '240.82',
    'display_gross_prices': true,
    'channel_slug': 'default-channel',
    'created': string,
    'shipping_price_net_amount': '91.22',
    shipping_price_gross_amount: string,
    'order_details_url': '',
    'email': string,
    'user_email': string,
    'subtotal_gross_amount': '149.60',
    'subtotal_net_amount': '149.60',
    'tax_amount': '0.00',
    'lines': WebhookOrderLine[],
    'billing_address': SaleorWebhookAddress,
    'shipping_address': SaleorWebhookAddress,
    'shipping_method_name': string,
    'voucher_discount': null,
    'discounts': [],
    'discount_amount': 0,
    payments: WebhookPayment[]
};

const exampleOrderWebhookPayload = {
    type: 'Order',
    id: 'T3JkZXI6Y2M2ZWM4OWYtNDAyYS00NTgxLTliZGYtYjE1ZDU1YmUwNzg5',
    channel: {
        type: 'Channel',
        id: 'Q2hhbm5lbDox',
        slug: 'storefront',
        currency_code: 'EUR',
    },
    shipping_address: {
        type: 'Address',
        id: 'QWRkcmVzczpOb25l',
        first_name: 'Linda',
        last_name: 'Dunn',
        company_name: '',
        street_address_1: '60975 Jessica Squares',
        street_address_2: '',
        city: 'East Sallybury',
        city_area: '',
        postal_code: '34228',
        country: 'US',
        country_area: 'FL',
        phone: '',
    },
    billing_address: {
        type: 'Address',
        id: 'QWRkcmVzczpOb25l',
        first_name: 'Seth',
        last_name: 'Miller',
        company_name: '',
        street_address_1: '714 Mann Plaza Suite 839',
        street_address_2: '',
        city: 'Seanfurt',
        city_area: '',
        postal_code: '73062',
        country: 'US',
        country_area: 'OK',
        phone: '',
    },
    discounts: null,
    token: 'cc6ec89f-402a-4581-9bdf-b15d55be0789',
    number: 3514,
    user_email: 'megan.chang@example.com',
    created: '2022-11-25T17:07:44.719Z',
    original: 'T3JkZXI6Tm9uZQ==',
    lines: [
        {
            type: 'OrderLine',
            id: 'T3JkZXJMaW5lOjNmYWQ5ZWE5LTgzMjUtNDVkOS1iNDUwLTZlNGU0OTVlYzE4ZQ==',
            product_variant_id: 'UHJvZHVjdFZhcmlhbnQ6MTc=',
            total_price_net_amount: '44.68',
            total_price_gross_amount: '47.80',
            allocations: [Array],
            product_name: 'Lebkuchendose - Cachetejack',
            variant_name: 'Gemischt',
            translated_product_name: '',
            translated_variant_name: '',
            product_sku: 'pf-dose-5-cj-gemischt',
            quantity: 2,
            currency: 'EUR',
            unit_discount_amount: '0.00',
            unit_discount_type: 'fixed',
            unit_discount_reason: null,
            unit_price_net_amount: '22.34',
            unit_price_gross_amount: '23.90',
            undiscounted_unit_price_gross_amount: '23.90',
            undiscounted_unit_price_net_amount: '23.90',
            undiscounted_total_price_gross_amount: '47.80',
            undiscounted_total_price_net_amount: '47.80',
            tax_rate: '0.0700',
            voucher_code: null,
            sale_id: null,
        },
        {
            type: 'OrderLine',
            id: 'T3JkZXJMaW5lOjg3ZmNkYzFmLWJlZDgtNGUzOC1hMTBiLTQ2ZmIwODEwMzFkZQ==',
            product_variant_id: 'UHJvZHVjdFZhcmlhbnQ6MzQ=',
            total_price_net_amount: '7.38',
            total_price_gross_amount: '7.90',
            allocations: [Array],
            product_name: 'Bio Granola "Peanut Power"',
            variant_name: 'granola-2010-peanutpower',
            translated_product_name: '',
            translated_variant_name: '',
            product_sku: 'granola-2010-peanutpower',
            quantity: 1,
            currency: 'EUR',
            unit_discount_amount: '0.00',
            unit_discount_type: 'fixed',
            unit_discount_reason: null,
            unit_price_net_amount: '7.38',
            unit_price_gross_amount: '7.90',
            undiscounted_unit_price_gross_amount: '7.90',
            undiscounted_unit_price_net_amount: '7.90',
            undiscounted_total_price_gross_amount: '7.90',
            undiscounted_total_price_net_amount: '7.90',
            tax_rate: '0.0700',
            voucher_code: null,
            sale_id: null,
        },
        {
            type: 'OrderLine',
            id: 'T3JkZXJMaW5lOjU3YWI2NmQ4LTE4MmItNDIyZi1iNTNkLWI1ZDVmZTExZDk5Ng==',
            product_variant_id: 'UHJvZHVjdFZhcmlhbnQ6Nzc=',
            total_price_net_amount: '23.27',
            total_price_gross_amount: '24.90',
            allocations: [Array],
            product_name: 'Lebkuchendose - Charlotte Dumortier',
            variant_name: 'Bio vegan gemischt',
            translated_product_name: '',
            translated_variant_name: '',
            product_sku: 'pf-dose-5-bio-cd-gemischt',
            quantity: 1,
            currency: 'EUR',
            unit_discount_amount: '0.00',
            unit_discount_type: 'fixed',
            unit_discount_reason: null,
            unit_price_net_amount: '23.27',
            unit_price_gross_amount: '24.90',
            undiscounted_unit_price_gross_amount: '24.90',
            undiscounted_unit_price_net_amount: '24.90',
            undiscounted_total_price_gross_amount: '24.90',
            undiscounted_total_price_net_amount: '24.90',
            tax_rate: '0.0700',
            voucher_code: null,
            sale_id: null,
        },
        {
            type: 'OrderLine',
            id: 'T3JkZXJMaW5lOmY2YTlhOTlmLTZhYzctNGQ4My1iM2VjLTg2NDk2NTg2YzQ2ZQ==',
            product_variant_id: 'UHJvZHVjdFZhcmlhbnQ6ODM=',
            total_price_net_amount: '6.54',
            total_price_gross_amount: '7.00',
            allocations: [Array],
            product_name: 'Granola Nutbutter Triple-Nut',
            variant_name: 'granola-nut-butter-salt-triple-nut',
            translated_product_name: '',
            translated_variant_name: '',
            product_sku: 'granola-nut-butter-salt-triple-nut',
            quantity: 1,
            currency: 'EUR',
            unit_discount_amount: '0.00',
            unit_discount_type: 'fixed',
            unit_discount_reason: null,
            unit_price_net_amount: '6.54',
            unit_price_gross_amount: '7.00',
            undiscounted_unit_price_gross_amount: '7.00',
            undiscounted_unit_price_net_amount: '7.00',
            undiscounted_total_price_gross_amount: '7.00',
            undiscounted_total_price_net_amount: '7.00',
            tax_rate: '0.0700',
            voucher_code: null,
            sale_id: null,
        },
        {
            type: 'OrderLine',
            id: 'T3JkZXJMaW5lOmFjYjA1NjA1LWE4YTktNDU1YS1hYTgyLWNjMzYyOTE0NGM2Mw==',
            product_variant_id: 'UHJvZHVjdFZhcmlhbnQ6ODY=',
            total_price_net_amount: '7.38',
            total_price_gross_amount: '7.90',
            allocations: [Array],
            product_name: 'Bio Granola "Saltcity"',
            variant_name: 'granola-2010-saltcity',
            translated_product_name: '',
            translated_variant_name: '',
            product_sku: 'granola-2010-saltcity',
            quantity: 1,
            currency: 'EUR',
            unit_discount_amount: '0.00',
            unit_discount_type: 'fixed',
            unit_discount_reason: null,
            unit_price_net_amount: '7.38',
            unit_price_gross_amount: '7.90',
            undiscounted_unit_price_gross_amount: '7.90',
            undiscounted_unit_price_net_amount: '7.90',
            undiscounted_total_price_gross_amount: '7.90',
            undiscounted_total_price_net_amount: '7.90',
            tax_rate: '0.0700',
            voucher_code: null,
            sale_id: null,
        },
    ],
    fulfillments: [],
    collection_point: null,
    payments: [
        {
            type: 'Payment',
            id: 'UGF5bWVudDozNjE5',
            created: '2022-11-25T17:07:40.825Z',
            modified: '2022-11-25T17:07:44.660Z',
            gateway: 'mirumee.payments.braintree',
            is_active: true,
            partial: false,
            charge_status: 'fully-charged',
            total: '95.50',
            captured_amount: '95.50',
            currency: 'EUR',
            billing_email: 'petra.maeule-hahn@web.de',
            billing_first_name: 'Petra',
            billing_last_name: 'Mäule-Hahn',
            billing_company_name: '',
            billing_address_1: 'Maulbeerweg 6',
            billing_address_2: '',
            billing_city: 'VAIHINGEN',
            billing_city_area: '',
            billing_postal_code: '71665',
            billing_country_code: 'DE',
            billing_country_area: '',
            cc_brand: '',
            payment_method_type: 'card',
            psp_reference: '',
        },
    ],
    shipping_method: {
        type: 'price',
        id: 'U2hpcHBpbmdNZXRob2Q6NjQ=',
        currency: 'EUR',
        price_amount: '0.00',
        name: 'DPD klimaneutraler Versand (kostenlos)',
    },
    meta: {
        issued_at: '2022-12-01T15:42:38.664683+00:00',
        version: '3.7.42',
        issuing_principal: { id: null, type: null },
    },
    private_metadata: {
        choose: 'RZHTCWaKMqqBTFitpKyP',
        organization: 'dgpNxSPTxttBbePAFdwN',
        into: 'BFQzPuESPIajAndSXpvQ',
        pull: 'iWmLrWzhUFeKQsbyxfOb',
        response: 'GfCstOzTFyGrgJGPgVPV',
        land: 'AOjOxNxPdcWzUXIDleQU',
        understand: 'AXhUvefdviXPwvzSqnsg',
        near: 'rjRltFhaIMUMpJWmhxyK',
        mission: 'gYsypWXHjZfEiUXPqmNp',
        respond: 'ISFuKgpvWEpsmGHBtaYU',
        whose: 'kpyXPoDJPxuNwmxWhyHz',
        view: 'pRxylfYpFwNezXCvGboI',
    },
    metadata: {
        result: 'ExIZVPeFzGRmMglPrQfh',
        include: 'cDVBJbHFDutYbbXjgkPW',
        third: 'CGRddpwdyFKunVyUDKkN',
        season: 'RrnFxjyvDAqsRnDaMrco',
        network: 'NzFJEUSgqMReEKilxKJT',
        fact: 'uKvIcxniBzDNTzqyQTQj',
        nearly: 'RgaXvaaNYJFjFkpJjyVG',
        task: 'oxPSgBHsToacJDXWVcMK',
        eat: 'LUHtBkEahrPLrGciZpuC',
        time: 'fLWqSLpRpfDzrPQggzbr',
        dinner: 'VGtYHdeMdauAxzEJvtZn',
        want: 'wsdSKUxJgukcXlhktChZ',
    },
    status: 'unfulfilled',
    language_code: 'de',
    origin: 'checkout',
    shipping_method_name: 'DPD klimaneutraler Versand (kostenlos)',
    collection_point_name: null,
    shipping_price_net_amount: '0.00',
    shipping_price_gross_amount: '0.00',
    shipping_tax_rate: '0.1900',
    total_net_amount: '89.25',
    undiscounted_total_net_amount: '89.25',
    total_gross_amount: '95.50',
    undiscounted_total_gross_amount: '95.50',
    weight: '1960.0:g',
};
